// Krijo skenën
const skene = new PIXI.Application({ width: 800, height: 600 });

// Shto skenën në dokument
document.body.appendChild(skene.view);

// Numruesi i klikimeve mbi top
let numriKlikimeve = 0;
const numriKlikimeveMax = 3; // Numri maksimal i klikimeve para se të shfaqet "Game Over"

// Krijo një grafikë për rrethin (topin)
const rreth = new PIXI.Graphics();
rreth.beginFill(0xFF0000); // Ngjyra e rrethit (e kuqe)
rreth.drawCircle(0, 0, 30); // Rreze e rrethit
rreth.endFill();

// Vendos pozicionin fillestar të rrethit (topit)
rreth.x = Math.random() * skene.screen.width;
rreth.y = Math.random() * skene.screen.height;

// Vendos një ngjarje që ndodh kur klikohet mbi rrethin (topin)
rreth.interactive = true;
rreth.on('pointerdown', () => {
    // Vendos pozicionin e ri të rrethit (topit) pasi është kapur
    rreth.x = Math.random() * skene.screen.width;
    rreth.y = Math.random() * skene.screen.height;

    // numri i klikimeve mbi top = 0 jepi perseri 3 mundesi
    numriKlikimeve=0;

    // Kontrollo nese ka fituar
    //if (numriKlikimeve >= numriKlikimeveMax) {
        //shfaqGameOver();
    //}
});

// Shto rrethin në skenë
skene.stage.addChild(rreth);

// Krijoni një loop animacioni
skene.ticker.add(() => {
    // Ndërro pozicionin e rrethit për lëvizje
    rreth.x += 6;

    // Kontrollo nese rrethi ka shkuar në skajin e djathtë
    if (rreth.x > skene.screen.width) {
        // Rrit numrin e klikimeve
        numriKlikimeve++;

        // Vendos pozicionin e ri të rrethit (topit) pasi është kapur
        rreth.x = 0;
        rreth.y = Math.random() * skene.screen.height;

        // Kontrollo nese ka humbur
        if (numriKlikimeve >= numriKlikimeveMax) {
            shfaqGameOver();
        }
    }
});

// Mesazhi për lojtar
const mesazhi = new PIXI.Text(`Kliko mbi rrethin (${numriKlikimeveMax - numriKlikimeve} klikime të mbetura)`, { fontSize: 18, fill: 0xFFFFFF });
mesazhi.x = 10;
mesazhi.y = 10;

// Shto tekst në skenë
skene.stage.addChild(mesazhi);

// Shfaq mesazhin "Game Over"
function shfaqGameOver() {
    const gameOverMesazhi = new PIXI.Text('Game Over', { fontSize: 36, fill: 0xFF0000 });
    gameOverMesazhi.x = skene.screen.width / 2 - gameOverMesazhi.width / 2;
    gameOverMesazhi.y = skene.screen.height / 2 - gameOverMesazhi.height / 2;
    skene.stage.addChild(gameOverMesazhi);
    skene.ticker.stop(); // Ndalo loop animacioni pasi shfaqet "Game Over"
}
